import dynamix_sdk.base as _base


class CloudapiComputeDiskAttachResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiComputeDiskAttachProtocol(_base.BasePostAPIFunctionProtocol):
    def disk_attach(
        self,
        *,
        vm_id: int,
        disk_id: int,
        pci_slot_num_hex: str | None = None,
        bus_num_hex: str | None = None,
    ) -> CloudapiComputeDiskAttachResultBool:
        ...
